Page MenuHomePhabricator

[OpenMP] Add extra flag handling to linker wrapper
ClosedPublic

Authored by jhuber6 on Jan 12 2022, 2:14 PM.

Details

Summary

This patch adds support for a few extra flags in the linker wrapper,
such as debugging flags, verbose output, and passing arguments to ptxas. We also
now forward pass remarks to the LLVM backend so they will show up in the LTO
passes.

Depends on D117049

Diff Detail

Event Timeline

jhuber6 created this revision.Jan 12 2022, 2:14 PM
jhuber6 requested review of this revision.Jan 12 2022, 2:14 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 12 2022, 2:14 PM
jhuber6 updated this revision to Diff 402928.Jan 25 2022, 8:27 AM

Rework commits

tianshilei1992 accepted this revision.Jan 31 2022, 7:10 PM
tianshilei1992 added a subscriber: tianshilei1992.

LG. One nit.

clang/tools/clang-linker-wrapper/ClangLinkerWrapper.cpp
98

ptxas-args?

This revision is now accepted and ready to land.Jan 31 2022, 7:10 PM
jhuber6 marked an inline comment as done.Jan 31 2022, 7:16 PM
jhuber6 added inline comments.
clang/tools/clang-linker-wrapper/ClangLinkerWrapper.cpp
98

changed.

This revision was landed with ongoing or failed builds.Jan 31 2022, 8:12 PM
This revision was automatically updated to reflect the committed changes.
jhuber6 marked an inline comment as done.